> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withflock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Rewards



## OpenAPI

````yaml post /rewards/trigger
openapi: 3.0.0
info:
  title: Flock API
  description: API Documentation for Flock
  version: '1.0'
  contact: {}
servers:
  - url: https://api-dev.withflock.com
security: []
tags: []
paths:
  /rewards/trigger:
    post:
      tags:
        - Reward
      operationId: RewardController_payoutReward
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayoutRewardsDTO'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MutateSingleEntityResponseDTO'
      security:
        - accessKey: []
components:
  schemas:
    PayoutRewardsDTO:
      type: object
      properties:
        externalUserId:
          type: string
        rewardFor:
          description: |-
            Specifies which party or parties should receive a reward.
                - `self`: Reward the user specified in `externalUserId`
                - `referralPartner`: Reward the user linked through the referral relationship (i.e., the referrer if `userId` is an invitee, or the invitee if `userId` is a referrer)
                You can include one or both values. Default value: `['self', 'referralPartner']`
          default:
            - self
            - referral_partner
          type: array
          items:
            type: string
        environment:
          type: string
          enum:
            - production
            - test
      required:
        - externalUserId
        - environment
    MutateSingleEntityResponseDTO:
      type: object
      properties:
        id:
          type: string
      required:
        - id
  securitySchemes:
    accessKey:
      type: apiKey
      in: header
      name: Authorization

````